Bug 1252404 - [abrt] tintii: indii::SpectrumImage::prepareForeground(): tintii killed by SIGABRT
[abrt] tintii: indii::SpectrumImage::prepareForeground(): tintii killed by SI...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: tintii (Show other bugs)
22
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:04c246589fe4c277ec14da4a8c2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-11 06:30 EDT by Amich26
Modified: 2016-07-19 13:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:28:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (67.65 KB, text/plain)
2015-08-11 06:30 EDT, Amich26
no flags Details
File: cgroup (178 bytes, text/plain)
2015-08-11 06:30 EDT, Amich26
no flags Details
File: core_backtrace (30.18 KB, text/plain)
2015-08-11 06:30 EDT, Amich26
no flags Details
File: dso_list (11.87 KB, text/plain)
2015-08-11 06:30 EDT, Amich26
no flags Details
File: environ (1.98 KB, text/plain)
2015-08-11 06:30 EDT, Amich26
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-11 06:30 EDT, Amich26
no flags Details
File: maps (39.77 KB, text/plain)
2015-08-11 06:30 EDT, Amich26
no flags Details
File: mountinfo (3.14 KB, text/plain)
2015-08-11 06:30 EDT, Amich26
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-11 06:30 EDT, Amich26
no flags Details
File: open_fds (984 bytes, text/plain)
2015-08-11 06:30 EDT, Amich26
no flags Details
File: proc_pid_status (884 bytes, text/plain)
2015-08-11 06:30 EDT, Amich26
no flags Details
File: var_log_messages (2.44 KB, text/plain)
2015-08-11 06:30 EDT, Amich26
no flags Details

  None (edit)
Description Amich26 2015-08-11 06:30:03 EDT
Description of problem:
Tintii abort when I open a new file.

Version-Release number of selected component:
tintii-2.9.0-3.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        tintii
crash_function: indii::SpectrumImage::prepareForeground
executable:     /usr/bin/tintii
global_pid:     22610
kernel:         4.1.3-201.fc22.i686+PAE
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #5 indii::SpectrumImage::prepareForeground at src/indii/image/ColourSpace.hpp:140
 #6 indii::SpectrumImage::OnPaint at src/indii/tint/gui/SpectrumImage.cpp:67
 #7 wxAppConsole::HandleEvent at src/common/appbase.cpp:322
 #8 wxEvtHandler::ProcessEventIfMatches at src/common/event.cpp:1239
 #9 wxEventHashTable::HandleEvent at src/common/event.cpp:906
 #10 wxEvtHandler::ProcessEvent at src/common/event.cpp:1301
 #11 wxWindow::GtkSendPaintEvents at src/gtk/window.cpp:3881
 #12 gtk_window_expose_callback at src/gtk/window.cpp:543
 #13 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #18 gtk_widget_event_internal at gtkwidget.c:5017
Comment 1 Amich26 2015-08-11 06:30:07 EDT
Created attachment 1061438 [details]
File: backtrace
Comment 2 Amich26 2015-08-11 06:30:09 EDT
Created attachment 1061439 [details]
File: cgroup
Comment 3 Amich26 2015-08-11 06:30:11 EDT
Created attachment 1061440 [details]
File: core_backtrace
Comment 4 Amich26 2015-08-11 06:30:12 EDT
Created attachment 1061441 [details]
File: dso_list
Comment 5 Amich26 2015-08-11 06:30:13 EDT
Created attachment 1061442 [details]
File: environ
Comment 6 Amich26 2015-08-11 06:30:15 EDT
Created attachment 1061443 [details]
File: limits
Comment 7 Amich26 2015-08-11 06:30:17 EDT
Created attachment 1061444 [details]
File: maps
Comment 8 Amich26 2015-08-11 06:30:18 EDT
Created attachment 1061445 [details]
File: mountinfo
Comment 9 Amich26 2015-08-11 06:30:19 EDT
Created attachment 1061446 [details]
File: namespaces
Comment 10 Amich26 2015-08-11 06:30:20 EDT
Created attachment 1061447 [details]
File: open_fds
Comment 11 Amich26 2015-08-11 06:30:22 EDT
Created attachment 1061448 [details]
File: proc_pid_status
Comment 12 Amich26 2015-08-11 06:30:23 EDT
Created attachment 1061449 [details]
File: var_log_messages
Comment 13 Michael Schwendt 2015-08-11 06:48:55 EDT
> Description of problem:
> Tintii abort when I open a new file.

Despite the files attached by the ABRT tool and regardless of what the package maintainer may figure out, bug reports like this one could be much more helpful, if the reporter gave a few more details.

Is the crash reproducible?

And if so, is it a file you could make available as a test-case?


> assertion=0x80bdaa2 "b >= 0.0f && b <= 1.0f",




> File: var_log_messages
> https://bugzilla.redhat.com/attachment.cgi?id=1061449

The warnings in there are also relevant:

Warning: Mismatch between the program and library build versions detected.
The library used 2.8 (no debug,Unicode,compiler with C++ ABI 1008,wx containers,compatible with 2.4,compatible with 2.6),
and your program used 2.8 (no debug,Unicode,compiler with C++ ABI 1002,wx containers,compatible with 2.4,compatible with 2.6).
Comment 14 Fedora Admin XMLRPC Client 2016-02-26 12:39:53 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 15 Fedora End Of Life 2016-07-19 13:28:26 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.